/* CustomerInsertPrep A test class
 * Copyright 2011 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.0 Last modified 2011.04.16
 * All rights reserved
 */
package hoteldatabase2013;

import Model.Customer;
import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

public class CustomerInsertPrep {

    public static void main(String[] args) throws SQLException {
        // TODO code application logic here
        //Initialise connection and prepared statement
        DBTool dbt = new DBTool();
        Connection con = dbt.getConnection();

        String customerInsert = "insert into Customer values (?,?,?,?,?)";
        PreparedStatement prepStmt = con.prepareStatement(customerInsert);

        //Read in values
        String customerNo = JOptionPane.showInputDialog("State customerNo of customer: ");
        String name = JOptionPane.showInputDialog("State name of customer: ");
        String yearStr = JOptionPane.showInputDialog("State year of registration: ");
        int year = Integer.parseInt(yearStr);

        Object[] possibleValues = {"Regular", "Member", "VIP"};
        String customerType = (String) JOptionPane.showInputDialog(null, "Choose Customer Type", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);

        String staysStr = JOptionPane.showInputDialog("State year of registration: ");
        int stays = Integer.parseInt(staysStr);

        //Tranfer values to the prepared statement
        prepStmt.setString(1, customerNo);
        prepStmt.setString(2, name);
        prepStmt.setInt(3, year);
        prepStmt.setString(4, customerType);
        prepStmt.setInt(5, stays);

        //Execute sql-sentence
        prepStmt.executeUpdate();

        //closing
        prepStmt.close();
        dbt.close();
    }
}
