/* CustomerQuery A small test program
 * Copyright 2011 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.0 Last modified 2011.04.16
 * All rights reserved
 */
package hoteldatabase2013;

import Model.CustomerRegister;
import Model.Customer;
import java.sql.*;

public class CustomerQuery {

    public static void main(String[] args) {
        // TODO code application logic here
        String customerNo, name, customerType;
        int year, stays;
        Customer c;
        CustomerRegister customerReg = new CustomerRegister();

        String customerSelect = "select * from Customer";
        DBTool dbt = new DBTool();
        Statement stmt = dbt.getStatement();
        try {
            ResultSet rs = stmt.executeQuery(customerSelect);
            while (rs.next()) {
                customerNo = rs.getString(1);
                name = rs.getString(2);
                year = rs.getInt("year");
                customerType = rs.getString("CType");
                stays = rs.getInt(5);

                c = new Customer(customerNo, name, customerType, year);
                c.setNoOfStays(stays);
                customerReg.addCustomer(c);
            }

        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
        }
        dbt.close();
        System.out.println("DB-Query");
        System.out.println(customerReg.toString());

    }
}
