/* CustomerUpdatPrep A test class
 * Copyright 2011 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.0 Last modified 2011.04.16
 * All rights reserved
 */
package hoteldatabase2013;

import Model.Customer;
import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

public class CustomerUpdatePrep {

    public static void main(String[] args) throws SQLException {
        // TODO code application logic here
        //Initialise connection and prepared statement
        DBTool dbt = new DBTool();
        Connection con = dbt.getConnection();
        String customerUpdate = "update Customer"
                + " set name = ?, stays = stays + ?"
                + " where customerNo = ?";

        PreparedStatement prepStmt = con.prepareStatement(customerUpdate);

        //Readin values
        String customerNo = JOptionPane.showInputDialog("State customerNo of customer: ");
        String name = JOptionPane.showInputDialog("State name of customer: ");
        String staysStr = JOptionPane.showInputDialog("Extra stays: ");
        int stays = Integer.parseInt(staysStr);

        //Tranfer values to the prepared statement
        prepStmt.setString(3, customerNo);
        prepStmt.setString(1, name);
        prepStmt.setInt(2, stays);

        //Execute sql-sentence
        prepStmt.executeUpdate();

        //closing
        prepStmt.close();
        dbt.close();
    }
}
